function parametros_multi


persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end

settingsBlock = [bdroot '/parametros'];
[bitRate] = getSettings(settingsBlock,'bitRate');
[bitsPerFrame] = getSettings(settingsBlock,'bitsPerFrame');
[delayVector] = getSettings(settingsBlock,'delayVector');
[gainVector] = getSettings(settingsBlock,'gainVector');
[KFactor] = getSettings(settingsBlock,'KFactor');
[maxDopplerShift] = getSettings(settingsBlock,'maxDopplerShift');
[LOSDopplerShift] = getSettings(settingsBlock,'LOSDopplerShift');


 
p.bitRate = bitRate;
p.bitsPerFrame = bitsPerFrame;
p.delayVector = delayVector;
p.gainVector = gainVector;
p.KFactor = KFactor;
p.maxDopplerShift = maxDopplerShift;
p.LOSDopplerShift = LOSDopplerShift;

 
%Assign variables to base workspace
 assignin('base', 'parametros', p);



 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end